org.eclipse.jetty.server

## Class AsyncContinuation.AsyncEventState

- java.lang.Object
- - javax.servlet.AsyncEvent
  - - org.eclipse.jetty.server.AsyncContinuation.AsyncEventState

Enclosing class:
  AsyncContinuation

    public class AsyncContinuation.AsyncEventState
    extends javax.servlet.AsyncEvent

### Constructor Summary

Constructors
Constructor and Description
`AsyncContinuation.AsyncEventState(javax.servlet.ServletContext context, javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

### Method Summary

Methods
`javax.servlet.ServletContext` `getDispatchContext()`
`String` `getPath()`
`javax.servlet.ServletContext` `getServletContext()`
`javax.servlet.ServletContext` `getSuspendedContext()`

### Methods inherited from class javax.servlet.AsyncEvent

`getAsyncContext, getSuppliedRequest, getSuppliedResponse, getThrowable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncContinuation.AsyncEventState

    public AsyncContinuation.AsyncEventState(javax.servlet.ServletContext context,
                                     javax.servlet.ServletRequest request,
                                     javax.servlet.ServletResponse response)

### Method Detail

#### getSuspendedContext

    public javax.servlet.ServletContext getSuspendedContext()

#### getDispatchContext

    public javax.servlet.ServletContext getDispatchContext()

#### getServletContext

    public javax.servlet.ServletContext getServletContext()

#### getPath

    public String getPath()

Returns:
  The path in the context